



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Error: java.lang.UnsatisfiedLinkError: no ntvinv in java.library.path</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Error: java.lang.UnsatisfiedLinkError: no ntvinv in java.library.path</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-06 23:13:52 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>Error Message</h2>
<p>When compiling or executing a Java application that uses the ArcObjects Java API, the following error is returned:</p>
<p>java.lang.UnsatisfiedLinkError: no ntvinv in java.library.path</p>
<h2>Cause</h2>
<p>The PATH variable does not include a directory which contains the native libraries required for ArcObjects Java classes to function.</p>
<h2>Solution or Workaround</h2>
<p>Add the directory that contains the native libraries needed by ArcObjects Java to the PATH variable.</p>
<ul><li>On both Windows and Unix platforms, add either of the following directories to the PATH variable:</p>
<p>A. $AGSDESKTOPJAVA\java\jre\bin<br />B. $AGSDESKTOPJAVA\bin</p>
<pre class="prettyprint linenums">Note:<br />$ARCENGINEHOME may need to be replaced with the location of the ArcGIS SDK installation.</pre></li>
<li>Unix also provides the option of running the ArcEngine helper scripts in $ARCENGINEHOME: init_engine.csh or init_engine.sh.</li>
<li>See ArcGIS SDK for Java Environment Settings in the Related Information section below for additional information.</li></ul>
<p>On Windows, you must modify your&nbsp;<code>PATH</code>&nbsp;system variable to include either:</p>
<p><code>%AGSDESKTOPJAVA%\java\jre\bin&nbsp;</code><code>%AGSDESKTOPJAVA%\bin</code></p>
<div>
<div>
<pre class="prettyprint linenums"> package com.ys.test;

 //Example 1: Hello ArcObjects!<br />
 import java.io.IOException;<br />
 import com.esri.arcgis.system.AoInitialize;<br />
 import com.esri.arcgis.system.EngineInitializer;<br />
 import com.esri.arcgis.system.esriLicenseProductCode;<br />
 import com.esri.arcgis.system.esriLicenseStatus;<br />
 import com.esri.arcgis.carto.MapServer;<br />
 public class EngineHelloWorld{<br />
     public static void main(String[] args){<br />
         try{<br />
             //Step 1: Initialize the Java Componet Object Model (COM) Interop.<br />
             EngineInitializer.initializeEngine();

             //Step 2: Initialize an ArcGIS license.<br />
             AoInitialize aoInit = new AoInitialize();<br />
             initializeArcGISLicenses(aoInit);

             //Step 3: Invoke ArcObjects.<br />
             MapServer mapServer = new MapServer();

             String DevKitInstallDir = System.getenv("AGSDESKTOPJAVA");

             mapServer.connect(DevKitInstallDir +<br />
                 "/MapTemplates/Traditional Layouts/World/Europe.mxd");

             String name = mapServer.getDefaultMapName();

             System.out.println("Hello, ArcObjects!: " + name);

             //Step 4: Release the license.<br />
             aoInit.shutdown();<br />
         }<br />
         catch (IOException ex){<br />
             System.out.println(ex.getMessage());<br />
             System.out.println("App failed.");<br />
         }<br />
     } //End of method main.

     //License initialization<br />
     static void initializeArcGISLicenses(AoInitialize aoInit){<br />
         try{<br />
             if (aoInit.isProductCodeAvailable<br />
                 (esriLicenseProductCode.esriLicenseProductCodeEngine) ==<br />
                 esriLicenseStatus.esriLicenseAvailable){<br />
                 aoInit.initialize<br />
                     (esriLicenseProductCode.esriLicenseProductCodeEngine);<br />
             }<br />
             else if (aoInit.isProductCodeAvailable<br />
                 (esriLicenseProductCode.esriLicenseProductCodeBasic) ==<br />
                 esriLicenseStatus.esriLicenseAvailable){<br />
                 aoInit.initialize(esriLicenseProductCode.esriLicenseProductCodeBasic)<br />
                     ;<br />
             }<br />
             else{<br />
                 System.err.println(<br />
                     "Engine Runtime or Desktop Basic license not initialized.");<br />
                 System.err.println("Exiting application.");<br />
                 System.exit( - 1);<br />
             }<br />
         }<br />
         catch (Exception e){<br />
             e.printStackTrace();<br />
         }<br />
     } //End of method initializeArcGISLicenses<br />
 } //End of class:EngineHelloWorld.</pre>
</div>
<p>Hello World</p></div>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/1003956/201609/1003956-20160926212714125-1509722803.png" /></p>
<p>http://desktop.arcgis.com/en/arcobjects/latest/java/</p>
<p>http://support.esri.com/technical-article/000007942</p>
<p>http://edndoc.esri.com/arcobjects/9.1/default.asp?URL=/arcobjects/9.1/ArcGISDevHelp/DevelopmentEnvs/Java/JavaArcGISProgramming.htm</p>
<p><code></code></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/r93w2yzq.html">BOM详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq14dg4q.html">linux学习  联网</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rmdrr8.html">Ubuntu&amp;&num;39&semi;s Trash</a>
		</li>
						<li><a href="https://www.batexi.com/a/r931yw08.html">django向数据库添加数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p5d0d8.html">求第N个素数</a>
		</li>
						<li><a href="https://www.batexi.com/a/495o53v8.html">【转载】给VM虚拟机增加硬盘容量</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7pye1q.html">LeetCode Flip Game</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7p5req.html">智能硬件&plus;App移动新生态【10&period;24北京站】</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd5yrd8.html">Python 定制类与其对象的创建和应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv06lzq.html">UINavigationController 与 UITabBarController</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok62kp9.html">STK 10&period;1&period;3</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mr1g1q.html">python 查看插件命令 pip freeze 以及django3&period;4链接mysql</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1v2pjq.html">MFC模板CArray及其派生类</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdjp5d9.html">linux设备驱动程序注冊过程具体解释</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zd6ek9.html">原来，负载均衡可以这样用，多核CPU可以这样用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kndo59.html">zTree实现更新根节点中第i个节点的名称</a>
		</li>
						<li><a href="https://www.batexi.com/a/950k6dv8.html">springboot整合shiro后报java&period;lang&period;ClassCastExcepting异常</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj6vd38.html">ExaWizards 2019  English D - Modulo Operations（DP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdrevz9.html">开源项目练习EF&plus;jQueryUI前后端分离设计</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw3lo09.html">nginx入门三</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/49golgzq.html">OpenXml入门----给Word文档添加表格</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93m0ow8.html">runc start container流程分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/390zv3oq.html">unity3D里面的点乘和叉乘</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q76zy18.html">MAC在Finder栏显示所浏览文件夹路径的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qn7v2x8.html">tp2&period;2&period;2新特点</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8en42k8.html">Nginx采用https加密访问后出现的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/49g2py08.html">第四章 在MVC4&period;0中对脚本以及样式表的引用变化</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4rp0n8.html">&sol;etc&sol;profile和~&sol;&period;bash&lowbar;profile的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxplzj9.html">好用的SQLSERVER数据库自动备份工具SQLBackupAndFTP&lpar;功能全面&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qym41mq.html">CAS 单点登录流程</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
